<div class="grid grid-cols-1 gap-4 mb-8 justify-items-center md:grid-cols-3">
    {% for page in element.pages %}
        <div class="flex flex-col max-w-sm overflow-hidden rounded shadow-lg">
            <a href="{{ sulu_content_path(page.url) }}">
                {% set image = page.excerptImages[0]|default(page.headerImage) %}

                {# @see https://github.com/sulu/web-twig/blob/v2.4.0/docs/image.md #}
                {{ get_image(image, {
                    src: '385x250',
                    class: 'w-full',
                }) }}
            </a>
            <div class="flex-auto px-6 py-4">
                <h3 class="mb-2 text-xl font-medium"><a href="{{ sulu_content_path(page.url) }}">{{ page.title }}</a></h3>
                <p class="text-gray-700 excerpt-text">{{ page.excerptDescription|striptags }}</p>
            </div>
            {% if page.excerptCategories %}
                <div class="px-6 py-4 space-x-4">
                    {% for category in page.excerptCategories %}
                        <span class="inline-block px-3 py-1 text-sm font-semibold text-gray-700 bg-gray-200 rounded-full">{{ category.name }}</span>
                    {% endfor %}
                </div>
            {% endif %}
        </div>
    {% endfor %}
</div>

<ul class="pagination">
    {% set page = view.element.pages.page %}

    {% if page-1 >= 1 %}
        <li><a href="{{ sulu_content_path(content.url) }}?p={{ page-1 }}">&laquo;</a></li>
    {% endif %}

    {% if view.element.pages.hasNextPage %}
        <li><a href="{{ sulu_content_path(content.url) }}?p={{ page+1 }}">&raquo;</a></li>
    {% endif %}
</ul>
